headless lms

A person's roles

GET /api/organizations/people/{orgUserId}/roles. A person's roles. Headless LMS People API reference.

GET
/api/organizations/people/{orgUserId}/roles

Requires people:read. Their org role and every role they hold on a content item.

Path Parameters

orgUserId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/organizations/people/string/roles"
[  {    "orgUserId": "string",    "roleKey": "string",    "roleName": "string",    "contentId": "string",    "contentType": "course"  }]
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}